Bug 1420186 - [Docs][RFE][Admin] Document changes to the discard function
Summary: [Docs][RFE][Admin] Document changes to the discard function
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ovirt-4.1.1-1
: ---
Assignee: Megan Lewis
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On: configure_discard_per_domain_and_disk
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 04:44 UTC by Lucy Bopf
Modified: 2019-05-07 13:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-13 01:34:10 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Lucy Bopf 2017-02-08 04:44:50 UTC
With this update, it is now possible to configure discard after delete per block storage domain, rather than per host. Existing documentation (if any) must be updated.

Previously, a user could get similar functionality by configuring the discard_enable parameter in the VDSM configuration file. This caused each logical volume (disk or snapshot) that was about to be removed by this specific host to be discarded first. Now, discard after delete can be enabled for a block storage domain, rather than a host. This means that if discard after delete is enabled it no longer matters which host removes the logical volume as each logical volume under this domain will be discarded before it is removed.

Comment 2 Lucy Bopf 2017-02-16 04:28:48 UTC
Assigning to Megan for review.

Comment 5 Megan Lewis 2017-03-14 05:36:00 UTC
This bug only covers the docs changes for the Discard After Delete feature. 

1. Changes to how Wipe After Delete works 
- No docs changes are currently being tracked for this feature 

2. New Discard After Delete for block storage 
- Docs changes being tracked in this bug. 

3. New Enable Discard for virtual machine disks
- Docs changes are tracked here: https://bugzilla.redhat.com/show_bug.cgi?id=1422158


Note You need to log in before you can comment on or make changes to this bug.